Subject: Re: [Ice] Adam Roach's Discuss on draft-ietf-ice-rfc5245bis-17: (with DISCUSS and COMMENT) - Updated example in Section 15

From: Christer Holmberg <[email-masked]>
Date: Fri, 23 Feb 2018 17:23:06 +0000

Hi,

I have updated the example in Section 15, based on the comments from Adam. Note that I have not yet done anything to the IP versions.

https://github.com/ice-wg/rfc5245bis/pull/59

Note that the PR is not complete yet, I am still working on addressing the issues. But, I want people to take a look at the example.

(For your reference, the associated review discussion below)

---------------------------------------------------------------------------

§15:

>            |              |(9) Bind Req  |              |Begin
>            |              |S=$R-PUB-1    |              |Connectivity
>            |              |D=L-PRIV-1    |              |Checks
>            |              |<----------------------------|
>            |              |Dropped       |              |
>
> This is quite misleading. If a host on the public Internet (as R is in 
> this
> example) sent a Binding Request to $L-PRIV-1 (10.0.1.1 in this 
> example), it would *not* be routed to the NAT, as is shown in this 
> example. If it didn't get blocked before reaching the default free 
> zone, I believe it would be blackholed once it did so. I would propose keeping the arrow, but having it end prior to reaching the NAT line.

>(Minor nit: please replace "L-PRIV-1" with "$L-PRIV-1")

Will fix.

---------------------------------------------------------------------------

§15:

>  Since the check was generated in the reverse direction of a  check 
> that contained the USE-CANDIDATE attribute...
>
> It was? I don't see that in the ladder, can't find it in the prose, and believe it to be actually incorrect. 
> By my understanding, the example would need an additional messages 18 
> through 21, originating from L (as the controlling agent) that nominates this pair.
>
> I believe what you've shown is an aggressive nomination call flow, but this document no longer supports aggressive nomination.
>
> If I'm simply confused here, then please add the "USE-CANDIDATE" attribute to the ladder diagram and to the corresponding text where it belongs.

I'll double check the example. I don’t think we looked at it in the WG, so it may e.g., show aggressive nomination.

---------------------------------------------------------------------------